JBoss Native SVN: r3413 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2015-10-20 12:00:30 -0400 (Tue, 20 Oct 2015)
New Revision: 3413
Modified:
trunk/build/unix/package.list
Log:
add TC9
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2015-10-20 15:41:40 UTC (rev 3412)
+++ trunk/build/unix/package.list 2015-10-20 16:00:30 UTC (rev 3413)
@@ -78,6 +78,7 @@
mod_cluster|1.3.1.Final|2.4.10|apr:v:1.5.0|apu:v:1.5.3|api:v:1.2.1|ssl:v:0.9.8r|zlib:v:1.2.3|iconv:v:1.14|expat:v:1.95.8|pcre:v:8.34|bmx:v:0.9.5|cluster:t:1.3.1.Final
#mod_cluster|1.2.10.dev|2.2.21|ssl:v:0.9.8r|zlib:v:1.2.3|jk:v:1.2.39|iconv:v:1.11|expat:v:1.95.8|cluster:t:1.2.10.dev
traffic_server|TS_Trunk|trunk
+TC9|TC9_Trunk|trunk
TC8|TC8_Trunk|trunk
TC7|TC7_Trunk|trunk
TC6|TC6_Trunk|trunk
9 years, 2 months
JBoss Native SVN: r3412 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2015-10-20 11:41:40 -0400 (Tue, 20 Oct 2015)
New Revision: 3412
Added:
trunk/build/unix/buildbin.TC9.sh
trunk/build/unix/buildsrc.TC9.sh
trunk/build/unix/buildtest.TC9.sh
Log:
Add TC9
Added: trunk/build/unix/buildbin.TC9.sh
===================================================================
--- trunk/build/unix/buildbin.TC9.sh (rev 0)
+++ trunk/build/unix/buildbin.TC9.sh 2015-10-20 15:41:40 UTC (rev 3412)
@@ -0,0 +1,177 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-07-09 18:37:49 +0200 (Thu, 09 Jul 2009) $"
+echo ""
+echo "Started : `date`"
+echo "Common : $1"
+echo "Prefix : $2"
+echo "Output : $3"
+echo "OpenSSL : $4"
+echo "Static : $5"
+echo "Sources : $6"
+echo ""
+
+
+# parameters
+# $1: Location of the common libraries.
+# $2: Destination location.
+# $3: Location where to put the binaries.
+# $4: Use OpenSSL.
+# $5: Use static build.
+# $6: Location of the sources.
+
+common_loc=$1
+prefix_loc=$2
+output_loc=$3
+has_openssl_loc=$4
+has_static_loc=$5
+sources_loc=$6
+
+# Stop Tomcat
+stopTomcat()
+{
+(cd $native_sources/output/build; bin/shutdown.sh)
+sleep 10
+PID=`ps -ef | grep $native_sources | grep java | awk ' { print $2 } '`
+if [ x$PID != "x" ]; then
+ kill -15 $PID
+ sleep 10
+fi
+}
+
+current_loc=`pwd`
+native_sources=srclib/`ls srclib | grep TC9`
+native_sources=`(cd $native_sources; pwd)`
+export native_sources
+cd $native_sources
+echo "Using $JAVA_HOME for ant"
+ant || exit 1
+
+echo ""
+echo "Stopping tomcat (just in case)"
+echo ""
+stopTomcat
+
+echo ""
+echo "Running ant tests"
+ant test || exit 1
+echo "Ant test Done"
+echo ""
+
+# Cleaning
+rm -rf $native_sources/output/build/work
+rm -rf $native_sources/output/build/logs
+rm -rf $native_sources/output/build/webapps
+mkdir $native_sources/output/build/logs
+mkdir $native_sources/output/build/webapps
+
+#configuring
+cat << EOF > $$.xml
+ <Connector port="8443" protocol="HTTP/1.1" SSLEnabled="true"
+ maxThreads="150" scheme="https" secure="true"
+ clientAuth="false" sslProtocol="TLS"
+ keystoreFile="/home/hudson/TCK7/javaeetck/bin/certificates/clientcert.jks"
+ keystorePass="changeit"
+ truststoreFile="/home/hudson/TCK7/javaeetck/jee7tck-as7-mods/etc/security/keystores/tomcat.keystore"
+ truststorePass="rmi+ssl" />
+EOF
+sed "/protocol=\"AJP/r $$.xml" $native_sources/output/build/conf/server.xml > $$.tmp
+cp -p $$.tmp $native_sources/output/build/conf/server.xml
+cat << EOF > $native_sources/output/build/conf/tomcat-users.xml
+<tomcat-users>
+
+<user username="CN=CTS, OU=Java Software, O=Sun Microsystems Inc., L=Burlington, ST=MA, C=US" roles="Administrator"/>
+<user username="javajoe" password="javajoe" roles="Employee,Manager,javajoe,Guest,guest,VP" />
+<user username="javaee" password="javaee" roles="javaee,guest" />
+<user username="j2ee" password="j2ee" roles="Employee,j2ee,Guest,guest,Administrator" />
+
+</tomcat-users>
+EOF
+
+cat << EOF > $native_sources/output/build/conf/context.xml
+<?xml version='1.0' encoding='utf-8'?>
+<Context tldValidation="false" crossContext="true" xmlValidation="false">
+ <WatchedResource>WEB-INF/web.xml</WatchedResource>
+</Context>
+EOF
+
+
+#installing
+export TS_HOME=/home/hudson/TCK7/servlet/servlettck
+export ANT_HOME=$TS_HOME/tools/ant
+DIR=$TS_HOME/dist/com/sun/ts/tests/servlet
+RID=$TS_HOME/src/com/sun/ts/tests/servlet
+for file in `find $DIR -name *.war`
+do
+ FILE=`basename $file`
+ rm -rf TMP
+ mkdir TMP
+ cd TMP
+ jar xvf $file
+ rm META-INF/MANIFEST.MF
+ jar cvf $FILE *
+ cp $FILE $native_sources/output/build/webapps
+ cd -
+done
+#configurating
+cat > $native_sources/output/build/bin/setenv.sh << EOF
+JAVA_OPTS="$JAVA_OPTS -Dorg.apache.catalina.STRICT_SERVLET_COMPLIANCE=true -Dorg.apache.tomcat.util.http.ServerCookie.FWD_SLASH_IS_SEPARATOR=false"
+export JAVA_OPTS
+EOF
+
+# Starting tomcat...
+(cd $native_sources/output/build; bin/startup.sh)
+echo ""
+echo "Waiting for Tomcat to start"
+sleep 60
+echo ""
+
+echo "Running TCK tests..."
+echo "SERVLETS"
+echo ""
+sed s:@CATALINA@:$native_sources/output/build: $TS_HOME/bin/ts.jte.tc8 > $TS_HOME/bin/ts.jte
+cp $TS_HOME/bin/ts.jtx.tc8 $TS_HOME/bin/ts.jtx
+(cd $RID; ant runclient || exit 1)
+if [ $? -ne 0 ]; then
+ echo "Failed test failed..."
+ stopTomcat
+ exit 1
+else
+ (cd $RID; ant report || exit 1)
+ if [ $? -ne 0 ]; then
+ echo "Failed build test report failed..."
+ stopTomcat
+ exit 1
+ fi
+fi
+
+echo ""
+echo "Stopping TC9"
+echo ""
+stopTomcat
+
+echo "Done"
+echo ""
+exit 0
Property changes on: trunk/build/unix/buildbin.TC9.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/build/unix/buildsrc.TC9.sh
===================================================================
--- trunk/build/unix/buildsrc.TC9.sh (rev 0)
+++ trunk/build/unix/buildsrc.TC9.sh 2015-10-20 15:41:40 UTC (rev 3412)
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-10-27 08:23:43 +0100 (Tue, 27 Oct 2009) $"
+echo ""
+echo "Started : `date`"
+echo "Tag : $1"
+echo "Target : $2"
+echo ""
+
+# parameters
+# $1: The tag to use something like 2.2.6 or trunk
+# $2: Directory where to put the sources.
+
+tag=$1
+dist=$2
+
+# we need something like:
+# http://anonsvn.jboss.org/repos/mod_cluster/trunk/
+case $tag in
+ trunk)
+ URLBASE=http://svn.apache.org/repos/asf/tomcat/trunk/
+ ;;
+ *)
+ URLBASE=http://svn.apache.org/repos/asf/tomcat/tc9.0.x/tags/${tag}
+ ;;
+esac
+
+echo "$tag using $URLBASE"
+(cd $package_src_dir/srclib
+svn export ${URLBASE} TC9
+)
+if [ $? -ne 0 ]; then
+ echo "svn co ${URLBASE} TC9 FAILED"
+ exit 1
+fi
+if [ ! -d $package_src_dir/srclib/TC9 ]; then
+ echo "$package_src_dir/srclib/TC9 not found!"
+ echo "svn co ${URLBASE} TC9 FAILED"
+ exit 1
+fi
Property changes on: trunk/build/unix/buildsrc.TC9.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/build/unix/buildtest.TC9.sh
===================================================================
--- trunk/build/unix/buildtest.TC9.sh (rev 0)
+++ trunk/build/unix/buildtest.TC9.sh 2015-10-20 15:41:40 UTC (rev 3412)
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+# Run a test of the traffic_server.
+#
+# $1 : Base directory for the test.
+# $2 : Directory where the package was built.
+# $3 : Directory where downloaded packages are stored.
+# $4 : Name or IP to use for the tests.
+# $5 : Do the SSL stuff.
+
+base=$1
+root=$2
+build_cache_dir=$3
+IPLOCAL=$4
+loc_has_ssl=$5
+
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-10-29 08:26:17 +0100 (Thu, 29 Oct 2009) $"
+echo ""
+
+echo ""
+echo "SUCCESS : `basename $0` $LastChangedDate: 2009-10-29 08:26:17 +0100 (Thu, 29 Oct 2009) $"
+echo ""
+exit 0
Property changes on: trunk/build/unix/buildtest.TC9.sh
___________________________________________________________________
Added: svn:executable
+ *
9 years, 2 months
JBoss Native SVN: r3411 - trunk/build/daemon.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2015-10-20 11:37:42 -0400 (Tue, 20 Oct 2015)
New Revision: 3411
Added:
trunk/build/daemon/buildTC9.sh
Log:
Add TC9 (trunk).
Added: trunk/build/daemon/buildTC9.sh
===================================================================
--- trunk/build/daemon/buildTC9.sh (rev 0)
+++ trunk/build/daemon/buildTC9.sh 2015-10-20 15:37:42 UTC (rev 3411)
@@ -0,0 +1,53 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running `basename $0` $LastChangedDate: 2008-07-23 16:17:15 +0200 (Wed, 23 Jul 2008) $"
+echo ""
+echo "Started : `date`"
+echo "Params : $@"
+echo ""
+
+build_ssl=true
+
+while [ "x" != "x$1" ]
+do
+ case $1 in
+ -env)
+ echo "Dumping environment"
+ env
+ echo ""
+ ;;
+ -no-ssl)
+ build_ssl=false
+ ;;
+ esac
+ shift
+done
+
+(cd ../unix
+ if $build_ssl; then
+ ./build.sh TC9 -ssl -cache -test
+ fi
+ ./build.sh TC9 -cache -test
+)
Property changes on: trunk/build/daemon/buildTC9.sh
___________________________________________________________________
Added: svn:executable
+ *
9 years, 2 months
JBoss Native SVN: r3410 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2015-10-19 09:01:13 -0400 (Mon, 19 Oct 2015)
New Revision: 3410
Modified:
trunk/build/unix/package.list
Log:
native for tomcat9 RC1
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2015-08-10 09:25:19 UTC (rev 3409)
+++ trunk/build/unix/package.list 2015-10-19 13:01:13 UTC (rev 3410)
@@ -15,7 +15,7 @@
jboss-native|2.0.11|TOMCAT_NATIVE_1_1_24|apr:v:1.3.12|ssl:v:0.9.8r
jboss-native|2.0.12-dev|branches/1.1.x|apr:v:1.4.6|ssl:v:1.0.1d
jboss-native|2.0.12|TOMCAT_NATIVE_1_1_27|apr:v:1.4.6|ssl:v:1.0.1d
-jboss-native|2.1.0-dev|trunk|apr:v:1.5.2|apu:v:1.5.2|api:v:1.2.1|ssl:v:1.0.2c|zlib:v:1.2.3
+jboss-native|2.1.0-dev|trunk|apr:v:1.5.2|ssl:v:1.0.2c
# SIGHT
jboss-sight|1.0.0|trunk|apr:v:1.2.9|apu:v:1.2.8|api:v:1.2.1
jboss-sight|1.0.1|trunk|apr:v:1.2.8|apu:v:1.2.8|api:v:1.2.1
9 years, 2 months